For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTAdvanced Search
      • POSTBatch Lookup Deals
      • GETSearch Users
      • PUTSet User Deal Role
      • DELRemove User From Deal
      • POSTCreate Deal
      • GETDeals
      • GETSearch Deals
      • POSTSearch Deals Advanced
      • GETDeal
      • PUTUpdate Deal
      • DELDelete Deal
      • GETExtra Metadata
      • PUTSet Metadata
      • DELDelete Metadata
      • POSTOrder Scan
      • GETComparable Deals
      • POSTExtract Key Findings and Company Description from a scan PDF
      • POSTGenerate a customized investment data request
      • GETGet Inline Image
      • PUTUpload Inline Image
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementDeal

Search Deals

Deprecated
GET
/api/v1/group/:group_id/deal/search
GET
/api/v1/group/:group_id/deal/search
$curl https://app.termina.ai/api/v1/group/1/deal/search \
> -H "Authorization: Bearer <token>"
1{
2 "total_count": 1,
3 "page": 1,
4 "page_size": 1,
5 "data": [
6 {
7 "round_name": "string",
8 "id": 1,
9 "group_id": 1,
10 "company": {
11 "name": "string",
12 "domain": "example.com",
13 "id": 1,
14 "group_id": 1,
15 "thumbnail_url": "string",
16 "created_at": "2024-01-15T09:30:00Z",
17 "updated_at": "2024-01-15T09:30:00Z",
18 "is_archived": true
19 },
20 "files": [
21 {
22 "name": "string",
23 "id": 1,
24 "deal_id": 1,
25 "type": "deck",
26 "created_at": "2024-01-15T09:30:00Z",
27 "updated_at": "2024-01-15T09:30:00Z",
28 "is_archived": true,
29 "filesize": 0
30 }
31 ],
32 "notes": "string",
33 "priority": "low",
34 "status": "intake",
35 "round_amount": 1,
36 "round_target": 1,
37 "tags": [
38 "string"
39 ],
40 "company_summary": "string",
41 "deal_lead_id": 1,
42 "created_at": "2024-01-15T09:30:00Z",
43 "updated_at": "2024-01-15T09:30:00Z",
44 "is_archived": true,
45 "group": {
46 "id": 1,
47 "name": "string",
48 "account": "string",
49 "thumbnail_url": "string"
50 },
51 "data": {
52 "financials_exist": true,
53 "talent_exists": true,
54 "product_metrics": [
55 {
56 "user_type": "consumer",
57 "metric": "revenue"
58 }
59 ],
60 "unit_economics_metrics": [
61 {
62 "user_type": "consumer"
63 }
64 ],
65 "benchmark_user_types": [
66 "consumer"
67 ],
68 "excel_export_exists": true,
69 "benchmark_categories": [
70 "saas",
71 "fintech"
72 ]
73 },
74 "categories": [
75 "string"
76 ],
77 "deal_lead": {
78 "name": "string",
79 "email": "string",
80 "thumbnail_url": "string"
81 }
82 }
83 ]
84}
Search deals within a group.
Was this page helpful?
Previous

Search Deals Advanced

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired

Query parameters

round_namestring or nullOptional
notesstring or nullOptional
tagsstring or nullOptional
company_namestring or nullOptional
company_domainstring or nullOptional
categoriesstring or nullOptional
deal_leadstring or nullOptional
ignore_archivedbooleanOptionalDefaults to true
sort_bystring or nullOptional
sort_orderstringOptionalformat: "^(asc|desc)$"Defaults to asc
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional>=1Defaults to 100

Response

Successful Response
total_countinteger
pageinteger
page_sizeinteger
datalist of objects

Errors

422
Unprocessable Entity Error